Hi all,<div><br></div><div>I&#39;m trying to install hmatrix-static using Cabal. I installed the Haskell Platform for Mac yesterday from <a href="http://hackage.haskell.org/platform">hackage.haskell.org/platform</a>. I&#39;ve been having build problems, and one of them is with haskell-src-exts. The output of cabal install haskell-src-exts -v ends in:</div>

<div><br></div><div><div><div>Building haskell-src-exts-1.9.0...</div><div>Building library...</div><div>Creating dist/build (and its parents)</div><div>/usr/bin/ghc --make -package-name haskell-src-exts-1.9.0 -hide-all-packages -fbuilding-cabal-package -i -idist/build -isrc -idist/build/autogen -Idist/build/autogen -Idist/build -optP-DBASE4 -optP-include -optPdist/build/autogen/cabal_macros.h -odir dist/build -hidir dist/build -stubdir dist/build -package-id array-0.3.0.0-307c95c424058c7b6bd041b809e52ef3 -package-id base-4.2.0.0-0120a3650a6376da8d1b6a4e48a2973a -package-id cpphs-1.11-20b9349b60ba9e187ce20bacef8124a5 -package-id pretty-1.0.1.1-2bfa34c699efff7eed4d6297a2dac12d -O Language.Haskell.Exts Language.Haskell.Exts.Parser Language.Haskell.Exts.Pretty Language.Haskell.Exts.Syntax Language.Haskell.Exts.Extension Language.Haskell.Exts.Build Language.Haskell.Exts.Fixity Language.Haskell.Exts.Comments Language.Haskell.Exts.SrcLoc Language.Haskell.Exts.Annotated Language.Haskell.Exts.Annotated.Syntax Language.Haskell.Exts.Annotated.Fixity Language.Haskell.Exts.Annotated.Build Language.Haskell.Exts.Annotated.ExactPrint Language.Haskell.Exts.Annotated.Simplify Language.Haskell.Exts.ExtScheme Language.Haskell.Exts.ParseMonad Language.Haskell.Exts.ParseSyntax Language.Haskell.Exts.Lexer Language.Haskell.Exts.ParseUtils Language.Haskell.Exts.InternalParser</div>

<div>&lt;command line&gt;: cannot satisfy -package-id cpphs-1.11-20b9349b60ba9e187ce20bacef8124a5: </div><div>    cpphs-1.11-20b9349b60ba9e187ce20bacef8124a5 is unusable due to missing or recursive dependencies:</div><div>

      haskell98-1.0.1.1-0fdaf3b26bc38c43ce8371edf538dbf6</div><div>    (use -v for more information)</div><div>cabal: Error: some packages failed to install:</div><div>haskell-src-exts-1.9.0 failed during the building phase. The exception was:</div>

<div>ExitFailure 1</div></div></div><div><br></div><div>However, cabal install cpphs --reinstall works fine. Any help getting past this would be much appreciated.</div><div><br></div><div>Thanks,</div><div>Anand</div>